## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

Name:           cargo2rpm
Version:        0.1.3
Release:        1%{?dist}.1
Summary:        Translation layer between cargo and RPM
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz
Patch0:         cargo2rpm-python3.9-compat.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%prep
%autosetup -p1
# Needed for importlib
touch cargo2rpm/testdata/__init__.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%pyproject_check_import
%if %{with check}
%tox
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm

%changelog
* Wed Mar 30 2022 Oleg Girko <ol@infoserver.lv> - 0.1.3-2
- Require pyproject-rpm-macros explicitly for build
- Add patch for Python 3.9 compatibility
- Create cargo2rpm/testdata/__init__.py file for importlib compatibility
* Mon Mar  6 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-1
- Update to version 0.1.3; Fixes RHBZ#2175302
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-1
- Update to version 0.1.2
* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-2
- Update to more modern Python packaging
* Tue Feb 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1
* Mon Feb 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Initial import (#2169233)
